Get a webhook filter by ID
curl --request GET \
--url https://caliper.alpha-1edtech.ai/webhook-filters/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://caliper.alpha-1edtech.ai/webhook-filters/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://caliper.alpha-1edtech.ai/webhook-filters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filter": {
"webhookId": "123e4567-e89b-12d3-a456-426614174000",
"filterKey": "sensor",
"filterValue": "sensor123",
"filterType": "string",
"filterOperation": "eq",
"active": true,
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"deletedAt": "2021-01-01T00:00:00.000Z"
}
}Webhook Filters
Get a webhook filter by ID
Returns a specific webhook filter by ID
GET
/
webhook-filters
/
{id}
Get a webhook filter by ID
⌘I